public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Jeroen Roovers" <jer@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: x11-misc/xlockmore/
Date: Wed, 30 Sep 2020 08:58:19 +0000 (UTC)	[thread overview]
Message-ID: <1601456295.af86d6604a1625b8caa74353b77a73e53095eafd.jer@gentoo> (raw)

commit:     af86d6604a1625b8caa74353b77a73e53095eafd
Author:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
AuthorDate: Wed Sep 30 08:57:48 2020 +0000
Commit:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
CommitDate: Wed Sep 30 08:58:15 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=af86d660

x11-misc/xlockmore: Version 5.66_alpha08

Package-Manager: Portage-3.0.8, Repoman-3.0.1
Signed-off-by: Jeroen Roovers <jer <AT> gentoo.org>

 x11-misc/xlockmore/Manifest                      |   1 +
 x11-misc/xlockmore/xlockmore-5.66_alpha08.ebuild | 118 +++++++++++++++++++++++
 2 files changed, 119 insertions(+)

diff --git a/x11-misc/xlockmore/Manifest b/x11-misc/xlockmore/Manifest
index b8f61c89c92..9cc71065b33 100644
--- a/x11-misc/xlockmore/Manifest
+++ b/x11-misc/xlockmore/Manifest
@@ -2,3 +2,4 @@ DIST xlockmore-5.50.tar.xz 1632968 BLAKE2B 2e692d16d70e3186ec1f31c192414b286f881
 DIST xlockmore-5.65.tar.xz 1945636 BLAKE2B d026975551e8ceafdcc7b8d8b6e404634f329d8d1f65e153b51798981103a023479dd58f2485c774aaf58f5928ea28a9f409c733ccfc75f98b65302e7e478ac5 SHA512 ecbf7e5c087843265eb4a537b3fe06a0d86d5f67d88c45137b6a7f4f5b30522d44fb87b5628cd9e042f90af129863fd3a4c2b5e2305df2dc3dfd867a03469ad8
 DIST xlockmore-5.66ALPHA05.tar.xz 1945728 BLAKE2B df0d5a8b0122673204c30f416c4bb599476340f0a0a4a80e08efe42c77a5dfa2408d74375dfcf2d68740d0b2c0147faff8ee01fe96e106eeed14fc779bcb3344 SHA512 259a8b2b0e7f487e5bb025a8a6961c38933ae259b3544c66823e09ea2f0fc44e19155bd335870adca653c268dc4811d41570882b021977e4981f0ded36ce3909
 DIST xlockmore-5.66ALPHA06.tar.xz 1947244 BLAKE2B 998d1438bc8ad95c21ebcace2e390936c56fe975331d2a82d10899a00b43fd245fc71c34050459d88fcc47c9b97bc074bd91be432df0a2933db0fd9153091888 SHA512 cd4d47a677b2e00f993b6a32cd2cd98a88fa04dca1d2a62303b58ebe2a4b26b4e4308a5c25883dbe8adade98ae85dbe7b61422ec05579a82b193eecb642b057c
+DIST xlockmore-5.66ALPHA08.tar.xz 1947004 BLAKE2B 44ad1f877d214a8b719db57df8f502391f635a4a9cd12bd470610c27543c4523acd6824cf01cb9bf6ca73628d4bc59bc25dafc436d4ee818d5590ae058a7b02d SHA512 a7bc5ffe09be91a5a903067c1e9cbdd5808207fc2ff0507e9bdfeb4156c187ee00da2a8d790a539b97e26985adb51326e1dcde9cdaa194bab4b8705117dc97ce

diff --git a/x11-misc/xlockmore/xlockmore-5.66_alpha08.ebuild b/x11-misc/xlockmore/xlockmore-5.66_alpha08.ebuild
new file mode 100644
index 00000000000..2bb52c63b8e
--- /dev/null
+++ b/x11-misc/xlockmore/xlockmore-5.66_alpha08.ebuild
@@ -0,0 +1,118 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit autotools flag-o-matic pam
+
+DESCRIPTION="Just another screensaver application for X"
+HOMEPAGE="https://www.sillycycle.com/xlockmore.html"
+SRC_URI="
+	https://www.sillycycle.com/xlock/${P/_alpha/ALPHA}.tar.xz
+	https://www.sillycycle.com/xlock/recent-releases/${P/_alpha/ALPHA}.tar.xz
+"
+
+LICENSE="BSD GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ppc ~ppc64 ~sparc ~x86"
+IUSE="crypt debug gtk imagemagick motif nas opengl pam truetype xinerama xlockrc vtlock"
+
+REQUIRED_USE="
+	|| ( crypt pam )
+	pam? ( !xlockrc )
+	xlockrc? ( !pam )
+"
+RDEPEND="
+	gtk? ( x11-libs/gtk+:2 )
+	imagemagick? ( media-gfx/imagemagick:= )
+	motif? ( >=x11-libs/motif-2.3:0 )
+	nas? ( media-libs/nas )
+	opengl? (
+		virtual/opengl
+		virtual/glu
+		truetype? ( >=media-libs/ftgl-2.1.3_rc5 )
+	)
+	pam? ( sys-libs/pam )
+	truetype? ( media-libs/freetype:2 )
+	x11-libs/libX11
+	x11-libs/libXext
+	x11-libs/libXmu
+	x11-libs/libXpm
+	x11-libs/libXt
+	xinerama? ( x11-libs/libXinerama )
+"
+DEPEND="
+	${RDEPEND}
+	virtual/pkgconfig
+	x11-base/xorg-proto
+"
+
+PATCHES=(
+	"${FILESDIR}"/${PN}-5.46-freetype261.patch
+	"${FILESDIR}"/${PN}-5.47-CXX.patch
+	"${FILESDIR}"/${PN}-5.47-strip.patch
+	"${FILESDIR}"/${PN}-5.64_alpha0-LDFLAGS.patch
+)
+S=${WORKDIR}/${P/_alpha/ALPHA}
+
+src_prepare() {
+	default
+
+	sed -i \
+		-e '/XLOCKLIBPATHS="-L/d' \
+		-e '/XMLOCKLIBPATHS="-L/d' \
+		-e 's|/lib|'"${EPREFIX}/$(get_libdir)"'|g' \
+		configure.ac || die
+
+	eautoreconf
+}
+
+src_configure() {
+	local myconf=()
+
+	if use opengl && use truetype; then
+			myconf=( --with-ftgl )
+			append-cppflags -DFTGL213
+		else
+			myconf=( --without-ftgl )
+	fi
+
+	myconf+=(
+		$(use_enable pam)
+		$(use_enable xlockrc)
+		$(use_enable vtlock)
+		$(use_with crypt)
+		$(use_with debug editres)
+		$(use_with gtk gtk2)
+		$(use_with imagemagick magick)
+		$(use_with motif)
+		$(use_with nas)
+		$(use_with opengl mesa)
+		$(use_with opengl)
+		$(use_with truetype freetype)
+		$(use_with truetype ttf)
+		$(use_with xinerama)
+		--disable-mb
+		--enable-appdefaultdir=/usr/share/X11/app-defaults
+		--enable-syslog
+		--enable-vtlock
+		--without-esound
+		--without-gtk
+	)
+	econf "${myconf[@]}"
+}
+
+src_install() {
+	local DOCS=( README docs/{3d.howto,cell_automata,HACKERS.GUIDE,Purify,Revisions,TODO} )
+	default
+
+	pamd_mimic_system xlock auth
+
+	if use pam; then
+		fperms 755 /usr/bin/xlock
+	else
+		fperms 4755 /usr/bin/xlock
+	fi
+
+	docinto html
+	dodoc docs/xlock.html
+}


             reply	other threads:[~2020-09-30  8:58 UTC|newest]

Thread overview: 92+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-09-30  8:58 Jeroen Roovers [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-10-28 19:55 [gentoo-commits] repo/gentoo:master commit in: x11-misc/xlockmore/ Andreas K. Hüttel
2023-01-25  1:40 Sam James
2023-01-24 23:55 Sam James
2023-01-24 20:26 Arthur Zamarin
2023-01-24 20:24 Arthur Zamarin
2023-01-24 20:24 Arthur Zamarin
2023-01-24 20:20 Andreas Sturmlechner
2023-01-13 18:42 Arthur Zamarin
2023-01-13 16:47 Sam James
2022-12-18 19:28 Arthur Zamarin
2022-12-18 12:15 Sam James
2022-12-18 12:12 Sam James
2022-03-23  8:47 Yixun Lan
2022-03-14 12:21 Sam James
2022-03-14 12:21 Sam James
2021-04-26 10:38 Sam James
2021-04-26 10:34 Sam James
2021-04-25 21:04 Sam James
2021-04-25 21:04 Sam James
2021-04-25 21:02 Sam James
2021-04-25 20:07 Sam James
2021-04-20 22:12 Jonas Stein
2021-04-19 20:00 Andreas Sturmlechner
2021-04-16 11:23 Sam James
2021-03-17  9:00 Sam James
2021-03-15 23:56 Sam James
2021-03-15 21:55 Sam James
2021-03-15 21:25 Sam James
2021-03-15 21:21 Sam James
2021-03-15 21:18 Sam James
2021-03-15 19:37 Andreas Sturmlechner
2021-01-22 15:08 Mikle Kolyada
2020-10-14  9:06 Jeroen Roovers
2020-10-11 18:09 Jeroen Roovers
2020-10-11 18:09 Jeroen Roovers
2020-10-07  6:59 Jeroen Roovers
2020-10-04 11:59 Jeroen Roovers
2020-09-25  9:56 Jeroen Roovers
2020-09-20  7:38 Jeroen Roovers
2020-09-19  8:54 Jeroen Roovers
2020-09-15  7:42 Jeroen Roovers
2020-07-22  6:07 Jeroen Roovers
2020-07-22  6:07 Jeroen Roovers
2020-07-05 12:47 Jeroen Roovers
2020-06-14  9:42 Jeroen Roovers
2020-05-19 11:00 Jeroen Roovers
2020-05-11  8:21 Jeroen Roovers
2020-05-11  8:21 Jeroen Roovers
2020-04-04 22:03 Jeroen Roovers
2020-03-11 20:16 Jeroen Roovers
2020-02-12 11:19 Jeroen Roovers
2020-02-08  9:21 Jeroen Roovers
2020-02-08  9:21 Jeroen Roovers
2020-02-02 19:37 Jeroen Roovers
2020-01-18 10:09 Jeroen Roovers
2019-12-16  8:08 Lars Wendler
2019-12-16  8:08 Lars Wendler
2019-12-08 14:10 Jeroen Roovers
2019-12-08 14:10 Jeroen Roovers
2019-11-11  9:03 Jeroen Roovers
2019-10-12 17:46 Mikle Kolyada
2019-10-07  9:07 Jeroen Roovers
2019-10-06 16:27 Jeroen Roovers
2019-10-06 16:27 Jeroen Roovers
2019-09-08 16:54 Jeroen Roovers
2019-09-08 16:54 Jeroen Roovers
2019-09-08 16:54 Jeroen Roovers
2019-08-13  6:55 Jeroen Roovers
2019-06-20  9:19 Jeroen Roovers
2018-08-07  7:04 Jeroen Roovers
2017-12-21 15:45 Jeroen Roovers
2017-12-21 15:45 Jeroen Roovers
2017-12-20 21:42 Sergei Trofimovich
2017-07-20  6:41 Jeroen Roovers
2017-07-20  6:41 Jeroen Roovers
2017-06-04 21:32 Jeroen Roovers
2017-06-04 21:32 Jeroen Roovers
2017-04-26  8:35 Lars Wendler
2017-04-26  8:35 Lars Wendler
2017-04-15 12:34 Jeroen Roovers
2017-04-15 12:34 Jeroen Roovers
2017-04-04 19:28 Tobias Klausmann
2017-03-22  7:30 Michael Weber
2017-03-21 14:34 Agostino Sarubbo
2017-03-21 10:08 Michael Weber
2017-03-20 11:04 Agostino Sarubbo
2017-03-14  6:46 Jeroen Roovers
2017-01-14 13:18 Jeroen Roovers
2017-01-06 14:33 Tobias Klausmann
2017-01-02 15:15 Agostino Sarubbo
2017-01-02 10:28 Lars Wendler

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1601456295.af86d6604a1625b8caa74353b77a73e53095eafd.jer@gentoo \
    --to=jer@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox